#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-1167

### Chapter 9. General Libraries

- Prev

  Xapian-2.0.0

- Next

  Graphics and Font Libraries

- Up
- Home

# yyjson-0.12.0

## Introduction to yyjson

The yyjson package contains a high performance JSON library written in C.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/ibireme/yyjson/archive/0.12.0/yyjson-0.12.0.tar.gz

- Download MD5 sum: a0a4fe2ae717277125fdebc60630ddf1

- Download size: 1.6 MB

- Estimated disk space required: 22 MB (with tests)

- Estimated build time: 0.4 SBU (with tests)

### yyjson Dependencies

#### Required

CMake-4.4.2

#### Optional

Doxygen-1.17.0

## Installation of yyjson

Install yyjson by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_SHARED_LIBS=ON      \
          -D YYJSON_BUILD_TESTS=ON     \
          -G Ninja .. &&
    ninja

To run the test suite, issue ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D YYJSON_BUILD_TESTS=ON`: This parameter enables building the test suite. You may remove it if you don't want to run it.

## Contents

Installed Programs: None
Installed Libraries: libyyjson.so
Installed Directories: /usr/include/yyjson and /usr/lib/cmake/yyjson

### Short Descriptions

`libyyjson.so` | contains functions that provide a high performance JSON implementation in C

- Prev

  Xapian-2.0.0

- Next

  Graphics and Font Libraries

- Up
- Home